apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-data-post-process
  namespace: uavcloud-demo
  labels:
    cmii.type: backend
    cmii.modules: cmlc
    cmii.app: cmii-uav-data-post-process
    helm.sh/chart: backend-app-1.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: backend
    cmii.app: cmii-uav-data-post-process
  ports:
    - name: backend-tcp
      port: 8080
      protocol: TCP
      targetPort: 8080
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-data-post-process
  namespace: uavcloud-demo
  labels:
    cmii.type: backend
    cmii.modules: cmlc
    cmii.app: cmii-uav-data-post-process
    helm.sh/chart: backend-app-1.1.0
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: backend
      cmii.app: cmii-uav-data-post-process
  template:
    metadata:
      labels:
        cmii.type: backend
        cmii.app: cmii-uav-data-post-process
    spec:
      affinity: {}
      imagePullSecrets:
        - name: harborsecret
      securityContext:
        {}
      containers:
        - name: cmii-uav-data-post-process
          image: "harbor.cdcyy.com.cn/cmii/cmii-uav-data-post-process:5.5.0"
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: "uavcloud-demo"
            - name: APPLICATION_NAME
              value: "cmii-uav-data-post-process"
            - name: CUST_JAVA_OPTS
              value: "-Xms200m -Xmx2000m -Dlog4j2.formatMsgNoLookups=true"
            - name: NACOS_REGISTRY
              value: "helm-nacos:8848"
            - name: NACOS_DISCOVERY_IP
              valueFrom:
                fieldRef:
                  fieldPath: status.podIP
            - name: NACOS_DISCOVERY_PORT
              value: "8080"
            - name: BIZ_CONFIG_GROUP
            - name: SYS_CONFIG_GROUP
            - name: IMAGE_VERSION
              value: 5.5.0
          ports:
            - name: pod-port
              containerPort: 8080
              protocol: TCP
          resources:
            limits: null
            requests: null
          livenessProbe:
            httpGet:
              path: /cmii/ping
              port: pod-port
              scheme: HTTP
            initialDelaySeconds: 60
            timeoutSeconds: 5
            periodSeconds: 20
            successThreshold: 1
            failureThreshold: 3
          readinessProbe:
            httpGet:
              path: /cmii/ping
              port: pod-port
              scheme: HTTP
            initialDelaySeconds: 60
            timeoutSeconds: 5
            periodSeconds: 20
            successThreshold: 1
            failureThreshold: 3
          startupProbe:
            httpGet:
              path: /cmii/ping
              port: pod-port
              scheme: HTTP
            initialDelaySeconds: 60
            timeoutSeconds: 3
            periodSeconds: 20
            successThreshold: 1
            failureThreshold: 5
          volumeMounts:
            - name: nfs-backend-log-volume
              mountPath: /cmii/logs
              readOnly: false
              subPath: uavcloud-demo/cmii-uav-data-post-process
            - name: data-cache-volume
              mountPath: /cmii/cache
              readOnly: false
              subPath: uavcloud-demo/cmii-uav-data-post-process
      volumes:
        - name: nfs-backend-log-volume
          emptyDir:
            {}
        - name: data-cache-volume
          emptyDir:
            {}
---
#apiVersion: v1
#kind: PersistentVolumeClaim
#metadata:
#  name: cmii-uav-data-post-process-cache
#  namespace: uavcloud-demo
#  labels:
#    cmii.type: backend
#    cmii.modules: cmlc
#    cmii.app: cmii-uav-data-post-process
#    helm.sh/chart: backend-app-1.1.0
#spec:
#  storageClassName: cmlc-nfs-prod-distribute
#  accessModes:
#    - ReadWriteMany
#  volumeMode: Filesystem
#  resources:
#    requests:
#      storage: 25Gi